import {Component, inject} from '@angular/core';
import {Observable} from "rxjs";
import {Qualification} from "../Qualification";
import {AsyncPipe} from "@angular/common";
import {MatCell, MatColumnDef, MatHeaderCell, MatHeaderRow, MatRow, MatTable} from "@angular/material/table";
import QualificationService from "../services/qualification.service";
import {MatDialog} from "@angular/material/dialog";
import {CreateQualificationComponent} from "../create-qualification/create-qualification.component";

@Component({
  selector: 'app-qualifications',
  imports: [
    AsyncPipe,
    MatTable,
    MatHeaderCell,
    MatColumnDef,
    MatCell,
    MatHeaderRow,
    MatRow
  ],
  templateUrl: './qualifications.component.html',
  styleUrl: './qualifications.component.css'
})
export class QualificationsComponent {
  public qualifications$: Observable<Qualification[]>;
  public readonly displayedColumns: string[] = ['skill', 'actions'];

  private readonly dialog: MatDialog = inject(MatDialog);

  constructor(private readonly qualificationService: QualificationService) {
    this.qualifications$ = this.qualificationService.getAll();
  }

  openCreateModal() {
    const createQualificationModal = this.dialog.open(CreateQualificationComponent);
  }
}
